## org.eclipse.datatools.sqltools.data.internal.ui.load
Class LoadDataWizardPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.datatools.sqltools.data.internal.ui.FileFormatWizardPage
                  org.eclipse.datatools.sqltools.data.internal.ui.load.LoadDataWizardPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class LoadDataWizardPage

extends FileFormatWizardPage

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`LoadDataWizardPage(java.lang.String pageName)`

Method Summary
`java.lang.String` `getHelpID()`
`boolean` `getReplace()`
`void` `saveSettings()`

Methods inherited from class org.eclipse.datatools.sqltools.data.internal.ui.FileFormatWizardPage
`createControl, getColumnDelimiter, getFilePath, getStringDelimiter`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Constructor Detail

### LoadDataWizardPage

    public LoadDataWizardPage(java.lang.String pageName)

Method Detail

### getReplace

    public boolean getReplace()

### saveSettings

    public void saveSettings()

  Overrides:
    `saveSettings` in class `FileFormatWizardPage`

### getHelpID

    public java.lang.String getHelpID()

  Overrides:
    `getHelpID` in class `FileFormatWizardPage`